libzypp: zypp/sat/LookupAttr.h File Reference

libzypp 17.38.11

LookupAttr.h File Reference
`#include <iosfwd>`
`#include <utility>`
`#include <zypp-core/base/PtrTypes.h>`
`#include <zypp-core/base/DefaultIntegral>`
`#include <zypp-core/Globals.h>`
`#include <zypp/sat/detail/PoolMember.h>`
`#include <zypp/sat/SolvAttr.h>`

Go to the source code of this file.

## Classes
class | zypp::sat::LookupAttr
| Lightweight attribute value lookup. More...
class | zypp::sat::LookupRepoAttr
| Lightweight repository attribute value lookup. More...
class | zypp::sat::detail::DIWrap
| Wrapper around sat `detail::CDataiterator`. More...
class | zypp::sat::LookupAttr::iterator
| Result iterator. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::sat
| Libsolv interface
namespace | zypp::sat::detail

## Functions
std::ostream & | zypp::sat::operator<< (std::ostream &str, const LookupAttr &obj) ZYPP_API
| relates: LookupAttr Stream output.
std::ostream & | zypp::sat::dumpOn (std::ostream &str, const LookupAttr &obj) ZYPP_API
| relates: LookupAttr Verbose stream output including the query result.
std::ostream & | zypp::sat::detail::operator<< (std::ostream &str, const DIWrap &obj)
| relates: DIWrap Stream output.
std::ostream & | zypp::sat::operator<< (std::ostream &str, const LookupAttr::iterator &obj) ZYPP_API
| relates: zypp::sat::LookupAttr::iterator Stream output.
std::ostream & | operator<< (std::ostream &str, const zypp::sat::detail::CDataiterator *obj)
| relates: zypp::sat::LookupAttr::iterator Stream output of the underlying iterator for debug.
std::ostream & | operator<< (std::ostream &str, const zypp::sat::detail::CDataiterator &obj)
| relates: zypp::sat::LookupAttr::iterator Stream output of the underlying iterator for debug.
Helpers and forward declarations from LookupAttrTools.h
template<>
std::string | zypp::sat::LookupAttr::iterator::asType< std::string > () const

## Function Documentation

## ◆ operator<<() [1/2]

std::ostream & operator<< | ( | std::ostream & | str,
|  | const zypp::sat::detail::CDataiterator * | obj )

relates: zypp::sat::LookupAttr::iterator Stream output of the underlying iterator for debug.

Definition at line 808 of file LookupAttr.cc.

## ◆ operator<<() [2/2]

std::ostream & operator<< | ( | std::ostream & | str,
|  | const zypp::sat::detail::CDataiterator & | obj )
| inline

relates: zypp::sat::LookupAttr::iterator Stream output of the underlying iterator for debug.

Definition at line 613 of file LookupAttr.h.